This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 882780 - make fails with error 'cli-xml-output.c:3173:48: error: unknown type name ‘xmlTextWriterPtr’ make[2]: *** [cli-xml-output.o] Error 1 make[1]: *** [install-recursive] Error 1"
make fails with error 'cli-xml-output.c:3173:48: error: unknown type name ‘xm...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
mainline
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Kaushal
amainkar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-03 00:45 EST by Rachana Patel
Modified: 2015-04-20 07:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:19:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rachana Patel 2012-12-03 00:45:56 EST
Description of problem:
glusterfs build - make fails with below error

cli-xml-output.c:3173:48: error: unknown type name ‘xmlTextWriterPtr’
make[2]: *** [cli-xml-output.o] Error 1
make[1]: *** [install-recursive] Error 1
make: *** [install-recursive] Error 1


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.git clone https://github.com/gluster/glusterfs glusterfs
2../autogen.sh && ./configure --enable-fusermount CFLAGS="-g -ggdb -O0" && make clean && make -j4

  
Actual results:
cli-xml-output.c:3173:48: error: unknown type name ‘xmlTextWriterPtr’
make[2]: *** [cli-xml-output.o] Error 1
make[1]: *** [install-recursive] Error 1
make: *** [install-recursive] Error 1



Expected results:
make should not fail

Additional info:

git log
commit cb506f9b91fb20c46a1f7bdea940672cb8c0fdf7
Comment 1 Vijay Bellur 2012-12-03 04:01:26 EST
CHANGE: http://review.gluster.org/4256 (cli: Fix build when libxml2 is absent) merged in master by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.